import java.io.*;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        int t = nextInt();
        int[][] arr = new int[t][2];
        for (int i = 0; i < t; i++) {
            arr[i][0]=nextInt();
            arr[i][1]=nextInt();
        }
        long min=Integer.MAX_VALUE;
        int []ans=new int[t];
        int []ans2=new int[t];
        for (int i = 0; i < t; i++) {
            int l=0,r=arr[i][1];
            int m = prefix(1,arr[i][0]*arr[i][1])/2;
            int mid = (l+r)/2;
            int a=0;
            while(r>l+1){
                for (int j = 0; j < arr[i][0]; j++) {
                    a+=prefix(j*arr[i][1]+1,j*arr[i][1]+mid);
                }
                if(a>m){
                    r=mid-1;
                }else if(a<m){
                    l=mid+1;
                }else{
                    break;
                }
            }
            if(m-a<min){
                min=m-a;
                ans[i]=mid;
                ans2[i]=0;
            }

            l=0;
            r=arr[i][0];
            mid = (l+r)/2;
            while(r>l+1){
                a=prefix(1,arr[i][1]*mid);
                if(a>m){
                    r=mid-1;
                }else if(a<m){
                    l=mid+1;
                }else{
                    break;
                }
            }
            if(m-a<min){
                min=m-a;
                ans[i]=mid;
                ans2[i]=1;
            }
        }
        for (int i = 0; i < t; i++) {
            if (ans2[i] == 0)
                out.print("V ");
            else
                out.print("H ");
            out.println(ans[i]+1);
        }
    }
    public long abs(long a){
        return a>=0 ? a :-a;
    }
    public int prefix(int l,int r){
        if(r-l!=1) {
            int a = (l + r) * (r - l + 1) / 2;
            if ((r - l) % 1 == 0)
                a += (l + r) / 2;
            return a;
        }else
            return l+r;
    }
    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}