import java.io.*;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        long time = nextLong();
        long a=nextLong();
        long x=nextLong();
        long b=nextLong();
        long y=nextLong();
        long ans;
        if(a/y>b/x){
            ans=(time-b)*y+(time-a-b)*x;
        }else
            ans=(time-a)*x+(time-a-b)*y;
        out.print(ans);
    }
    public long abs(long a){
        return a>=0 ? a :-a;
    }
    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}