import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {
    public void solve() throws IOException {
        BigInteger m = new BigInteger(nextToken());
        BigInteger d = new BigInteger(nextToken());
        BigInteger w = new BigInteger(nextToken());
        BigInteger i = new BigInteger(nextToken()).subtract(new BigInteger("1"));
        BigInteger j = new BigInteger(nextToken()).subtract(new BigInteger("1"));
        BigInteger k = new BigInteger(nextToken()).subtract(new BigInteger("1"));
        out.println((char)(((k.multiply(m).multiply(d).add(j.multiply(d).add(i))).mod(w).add(new BigInteger("97"))).mod(new BigInteger("1000000007"))).intValue());
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}