import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {
    ArrayList<Integer> primes=new ArrayList<>();
    public void solve() throws IOException {
        primes.add(2);
        int m=nextInt();
        int min=Integer.MAX_VALUE;
        for (int i = 1; i <= m; i++) {
            ArrayList <Integer> d = new ArrayList<>();
            int lastd=1;
            for (int j = 0; j < i; j++) {
                lastd=nextPrime(lastd);
                d.add(lastd);
            }
            int p=0;
            for (int j = 0; j < i; j++) {
                p+=j;
            }
            if(p<m/2||p>m)
                continue;
            for (int j=0; p !=m; p++) {
                d.add(d.get(j));
                j++;
            }
            int j=1;
            for (int k = 0; k < d.size(); k++) {
                j*=d.get(k);
            }
            if(j<min)
                min=j;
        }
        out.print(min);
    }
    public int nextPrime (int i){
        for (int j = i+1;true; j++) {
            boolean ok=true;
            for (int k = 0; k < primes.size()&&primes.get(k)<i; k++) {
                if(i%primes.get(k)==0){
                    ok=false;
                    break;
                }
            }
            if(!ok){
                continue;
            }else{
                primes.add(j);
                return j;
            }
        }
    }
    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}