import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class Main {
    ArrayList<Long> primes=new ArrayList<>();
    public void solve(int gj) throws IOException {
        primes.add((long) 2);
        int m=gj;
        if(m!=0) {
            long min = Long.MAX_VALUE;
            for (int i = 1; i <= m; i++) {
                ArrayList<Long> d = new ArrayList<>();
                long lastd = 1;
                for (int j = 0; j < i; j++) {
                    lastd = nextPrime(lastd);
                    d.add(lastd);
                }
                int p = 0;
                for (int j = 0; j < i; j++) {
                    p += j;
                }
                if (i != 1) {
                    if (p * 2 < m || p > m)
                        continue;
                    for (int j = 0; p != m; p++) {
                        d.add(d.get(j));
                        j++;
                    }
                    long j = 1;
                    for (int k = 0; k < d.size(); k++) {
                        j *= d.get(k);
                        j %= 1000000007;
                    }
                    if (j < min)
                        min = j;
                } else if (m != 1)
                    continue;
                else {
                    min = 4;
                    break;
                }
            }
            out.print(min);
        }else{
            out.print(1);
        }
    }
    public long nextPrime (long i){
        for (long j = i+1;true; j++) {
            boolean ok=true;
            for (int k = 0; k < primes.size()&&primes.get(k)<j; k++) {
                if(j%primes.get(k)==0){
                    ok=false;
                    break;
                }
            }
            if(!ok){
                continue;
            }else{
                if(!primes.contains(j))
                    primes.add(j);
                return j;
            }
        }
    }
    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);
            for (int i = 0; i < 100; i++) {
                solve(i);
                out.println();
            }


            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new Main().run();
    }

}